Index: mscore/mscore/mscore/box.cpp
===================================================================
--- mscore/mscore/mscore/box.cpp	(revision 3816)
+++ mscore/mscore/mscore/box.cpp	(working copy)
@@ -184,6 +184,7 @@
 void Box::read(QDomElement e)
       {
       _leftMargin = _rightMargin = _topMargin = _bottomMargin = 0.0;
+      bool keepMargins = false;        // whether original margins have to be kept when reading old file
 
       double _spatium = spatium();
       for (e = e.firstChildElement(); !e.isNull(); e = e.nextSiblingElement()) {
@@ -261,15 +262,24 @@
                   HBox* hb = new HBox(score());
                   hb->read(e);
                   add(hb);
+                  keepMargins = true;     // in old file, box nesting used outer box margins
                   }
             else if (tag == "VBox") {
                   VBox* vb = new VBox(score());
                   vb->read(e);
                   add(vb);
+                  keepMargins = true;     // in old file, box nesting used outer box margins
                   }
             else if (!Element::readProperties(e))
                   domError(e);
             }
+
+      // with .msc versions prior to 1.17, box margins were only used when nesting another box inside this box:
+      // for backward compatibility set them to 0 in all other cases
+      if(score()->mscVersion() < 117 && (type() == HBOX || type() == VBOX) && !keepMargins)  {
+            _leftMargin = _rightMargin = _topMargin = _bottomMargin = 0.0;
+            }
+
       }
 
 //---------------------------------------------------------
